<bugID>1093571<Summary>Delay when using search bar on New Tab screen</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:33.0) Gecko/20100101 Firefox/33.0
Build ID: 20141011015303

Steps to reproduce:

1. Open a new tab
2. Type a search term into the search box on the page
3. Immediately press enter or click "search", before search suggestions have appeared


Actual results:

Nothing happens - no search, and no visual feedback - for a period of up to ~5 seconds. After this delay, the search is performed as normal. Speculating, it seems likely that nothing is done until the search suggestions have appeared - hence the time delay may depend on network conditions.

If the user switches to another open tab during this delay, then when the search results eventually appear they are displayed not in the new tab where the search was done, but in the active tab that the user subsequently switched to. This can result in a page that the user is working in being unexpectedly lost to become the results page of a search engine.


Expected results:

The search should be performed immediately, even if suggestions have not yet been displayed. If the user switches to another tab while a search is happening, the results should be displayed in the tab that the search was started from, not the one currently active.</Description></bugID>